Page MenuHomePhabricator

Tag a new release of avro-php
Closed, ResolvedPublic

Description

The avro-php library was recently updated with a patch (rGAVPb2e0c9d750da03d95ba979215397f62a6121ddea) to support PHP 7.4. There are a few other commits since the last release of the library that mainly concern themselves with more robust error handling. Please tag a new release so MediaWiki can take advantage of these patches. :)

Event Timeline

TK-999 created this task.Sep 17 2019, 9:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2019, 9:53 PM

Change 538446 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] Updated wikimedia/avro from 1.8.0 to 1.9.0

https://gerrit.wikimedia.org/r/538446

Change 538446 merged by jenkins-bot:
[mediawiki/vendor@master] Updated wikimedia/avro from 1.8.0 to 1.9.0

https://gerrit.wikimedia.org/r/538446

TK-999 closed this task as Resolved.Sep 25 2019, 4:55 PM
TK-999 reopened this task as Open.

Seem wikimedia/avro already bump up to 1.9.0 in composer.jsom.

Reedy closed this task as Resolved.Oct 8 2019, 11:50 PM
Reedy claimed this task.